package cn.ysk.cashier.mybatis.service;

import cn.ysk.cashier.mybatis.entity.TbPointsExchangeRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 积分兑换记录
 *
 * @author Tankaikai tankaikai@aliyun.com
 * @since 2.0 2024-10-25
 */
public interface TbPointsExchangeRecordService extends IService<TbPointsExchangeRecord> {

    Map<String, Object> page(Map<String, Object> params);

    TbPointsExchangeRecord get(Long id);

    void checkout(String couponCode);

    void cancel(TbPointsExchangeRecord record);

    void refund(TbPointsExchangeRecord record);

    Map<String, Object> total(Map<String, Object> params);

    void authCancel();
}